myproxy-admin-change-pass(8)

NAME
myproxy-admin-change-pass - change credential passphrase

SYNOPSIS
myproxy-admin-change-pass [ options ]

DESCRIPTION
The myproxy-admin-change-pass command changes the passphrase used to encrypt a credential in the MyProxy repository. The command first prompts for the current passphrase for the credential, then prompts twice for the new passphrase. If an empty passphrase is given, the credential will not be encrypted. It accesses the repository directly and must be run on the machine where the myproxy-server(8) is installed from the account that owns the repository.

OPTIONS

-h  Displays command usage text and exits.

-u  Displays command usage text and exits.

-s dir
    Specifies the location of the credential storage directory. The directory must be accessible only by the user running the myproxy-server process for security reasons. Default: /var/myproxy or $GLOBUS_LOCATION/var/myproxy

-l username
    Specifies the MyProxy account under which the credential should be stored.

-k name
    Specifies the credential name.

-S, --stdin_pass
    By default, the command prompts for a passphrase and reads the passphrase from the active tty. When running the command non-interactively, there may be no associated tty. Specifying this option tells the command to read passphrases from standard input without prompts or confirmation.

EXIT STATUS
0 on success, >0 on error

AUTHORS
Bill Baker, Jim Basney, Shiva Shankar Chetan, Patrick Duda, Jarek Gawor, Monte Goode, Daniel Kouril, Zhenmin Li, Jason Novotny, Miroslav Ruda, Benjamin Temko, and Von Welch

SEE ALSO
myproxy-change-pass-phrase(1), myproxy-destroy(1), myproxy-info(1), myproxy-init(1), myproxy-logon(1), myproxy-retrieve(1), myproxy-store(1), myproxy-server.config(5), myproxy-admin-adduser(8), myproxy-admin-load-credential(8), myproxy-admin-query(8), myproxy-server(8)